Use optional ETIME case only if it exists, which it doesn't in kFreeBSD.

--- babel-1.2.0.dfsg/runtime/sidlx/sidlx_common.c.orig	2008-09-23 13:14:37.000000000 -0400
+++ babel-1.2.0.dfsg/runtime/sidlx/sidlx_common.c	2008-09-23 13:17:34.000000000 -0400
@@ -100,7 +100,9 @@
       }
 
     case ETIMEDOUT:
+#ifdef ETIME
     case ETIME:
+#endif
       {
 	sidlx_rmi_TimeoutException tmpEx = 
 	  sidlx_rmi_TimeoutException__create(&_throwaway_exception);
